<form id="<?php echo pjSanitize::html(@$tpl['arr']['form_id']); ?>" action="<?php echo pjSanitize::html(@$tpl['arr']['return_url']) . '&id=' . pjSanitize::html(@$tpl['arr']['custom']); ?>" method="POST"></form>

<script type="text/javascript">
(function () {
	function loadScript(url, callback) {
	    var script = document.createElement("script");
	    script.type = "text/javascript";
	    script.async = true;
	    if (script.readyState) {
	        script.onreadystatechange = function () {
	            if (script.readyState == "loaded" || script.readyState == "complete") {
	                script.onreadystatechange = null;
	                if (callback && typeof callback === "function") {
	                    callback();
	                }
	            }
	        };
	    } else {
	        script.onload = function () {
	            if (callback && typeof callback === "function") {
	                callback();
	            }
	        };
	    }
	    script.src = url;
	    (document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0]).appendChild(script);
	}
	<?php
	printf("var stripeObject = %s;", pjAppController::jsonEncode($tpl['arr']));
	?>
	function stripeCallback() {
		var token = function(response){
			var form = document.getElementById(stripeObject.form_id);
			if (form) {
				var input = document.createElement('INPUT');
				input.type = 'hidden';
				input.name = 'stripeToken';
				input.value = response.id;
				form.appendChild(input);
				form.submit();
			}
	  	};
		var handler = StripeCheckout.configure({
			key: '<?php echo pjSanitize::html(@$tpl['arr']['pub_key']);?>',
		  	image: 'https://stripe.com/img/documentation/checkout/marketplace.png',
		  	locale: 'auto',
		  	token: token,
			currency: '<?php echo !empty($tpl['arr']['currency']) ? $tpl['arr']['currency']: 'usd'; ?>'
		});
		handler.open({
    		name: 'Stripe.com',
			description: '<?php echo pjSanitize::html(@$tpl['arr']['description']);?>',
	    	amount: <?php echo pjSanitize::html(@$tpl['arr']['amount']);?>
	  	});
	}

	if (!window.Stripe) {
		loadScript('https://checkout.stripe.com/checkout.js', stripeCallback);
	} else {
		stripeCallback();
	}

	window.addEventListener('popstate', function() {
	  	handler.close();
	});
})();
</script>